<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_rt_2022-11-01.xsd#rol_CTELabel" roleURI="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_AccountsPayableOtherToSubsidiariesAndAffiliatesCL_label" xlink:role="http://www.xbrl.org/2003/role/label">関係会社未払金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_AccountsPayableOtherToSubsidiariesAndAffiliatesCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関係会社未払金、流動負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_CurrentPortionOfLongTermAccountsPayableInstallmentPurchaesCL_label" xlink:role="http://www.xbrl.org/2003/role/label">1年内返済予定の長期割賦未払金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_CurrentPortionOfLongTermAccountsPayableInstallmentPurchaesCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">1年内返済予定の長期割賦未払金、流動負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label" xlink:role="http://www.xbrl.org/2003/role/label">サステナビリティに関する考え方及び取組</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">サステナビリティに関する考え方及び取組 [目次項目]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">サステナビリティに関する考え方及び取組</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">サステナビリティに関する考え方及び取組 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableEI_label" xlink:role="http://www.xbrl.org/2003/role/label">債務勘定整理益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">債務勘定整理益、特別利益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">債務勘定整理益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">債務勘定整理益、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_GovernanceTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">ガバナンス</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_GovernanceTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ガバナンス [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_GreenEnergyReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">グリーンエネルギー事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_GreenEnergyReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">グリーンエネルギー事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_HonmaMasaruMember_label" xlink:role="http://www.xbrl.org/2003/role/label">本間　勝</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_HonmaMasaruMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">本間　勝 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares_label_1" xlink:role="http://www.xbrl.org/2003/role/label">新株の発行（第三者割当増資）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">新株の発行（第三者割当増資）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares_label" xlink:role="http://www.xbrl.org/2003/role/documentation">新株の発行（第三者割当増資）、資本金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ITBusinessReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">ＩＴ事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ITBusinessReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ＩＴ事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_KusakabeEmikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">日下部　笑美子</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_KusakabeEmikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">日下部　笑美子 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LitigationSettlementEI_label" xlink:role="http://www.xbrl.org/2003/role/label">訴訟和解金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LitigationSettlementEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">訴訟和解金、特別利益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LongTermUnearnedRevenueAndLongTermAdvancesReceived_label" xlink:role="http://www.xbrl.org/2003/role/label">長期前受収益及び長期前受金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LongTermUnearnedRevenueAndLongTermAdvancesReceived_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">長期前受収益及び長期前受金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectEL_label" xlink:role="http://www.xbrl.org/2003/role/label">プロジェクト整理損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectEL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">プロジェクト整理損失、特別損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/label">プロジェクト整理損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">プロジェクト整理損失、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/documentation">プロジェクト整理損失、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_MetricsAndTargetsTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">指標及び目標</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_MetricsAndTargetsTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">指標及び目標 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_MitsuyukiYasuakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">光行　康明</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_MitsuyukiYasuakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">光行　康明 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_NetIncreaseDecreaseOfRestrictedCashFinCF_label" xlink:role="http://www.xbrl.org/2003/role/label">引出制限及び使途制限付預金の純増減額（△は増加）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_NetIncreaseDecreaseOfRestrictedCashFinCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">引出制限及び使途制限付預金の純増減額（△は増加）、財務活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ParentCompanySStocksHeldByAffiliatedCompaniesAdoptedEquityMethod_label" xlink:role="http://www.xbrl.org/2003/role/label">持分法適用関連会社の保有する親会社株式</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ParentCompanySStocksHeldByAffiliatedCompaniesAdoptedEquityMethod_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">持分法適用関連会社の保有する親会社株式</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_PaymentsOfDepositInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">預け金の預入による支出</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_PaymentsOfDepositInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">預け金の預入による支出、投資活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_PhotocatalyticBusinessReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">光触媒事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_PhotocatalyticBusinessReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">光触媒事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ProceedsFromCollectionOfDepositsPaidInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">預け金の回収による収入</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ProceedsFromCollectionOfDepositsPaidInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">預け金の回収による収入、投資活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ProceedsFromSalesAndInstallmentBackTransactionFinCF_label" xlink:role="http://www.xbrl.org/2003/role/label">セールアンド割賦バック取引による収入</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ProceedsFromSalesAndInstallmentBackTransactionFinCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">セールアンド割賦バック取引による収入、財務活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ReceivedSettlementFeeEI_label" xlink:role="http://www.xbrl.org/2003/role/label">受取解決金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_ReceivedSettlementFeeEI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">受取解決金、特別利益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_RiskManagementTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">リスク管理</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_RiskManagementTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">リスク管理 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_RokugawaHiroakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">六川　浩明</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_RokugawaHiroakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">六川　浩明 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_RyuJunseiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">龍　潤生</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_RyuJunseiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">龍　潤生 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_SegmentAssetsSegmentInformation_label" xlink:role="http://www.xbrl.org/2003/role/label">セグメント資産</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_SegmentAssetsSegmentInformation_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">セグメント資産、セグメント情報</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_SegmentLiabilitiesSegmentInformation_label" xlink:role="http://www.xbrl.org/2003/role/label">セグメント負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_SegmentLiabilitiesSegmentInformation_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">セグメント負債、セグメント情報</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_SolarPanelManufacturingBusinessReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">太陽光パネル製造事業</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_SolarPanelManufacturingBusinessReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">太陽光パネル製造事業、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_StrategyTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">戦略</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_StrategyTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">戦略 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_SurplusDecreaseByChangeOfScopeOfConsolidation_label" xlink:role="http://www.xbrl.org/2003/role/label">連結範囲の変更に伴う剰余金減少額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_SurplusDecreaseByChangeOfScopeOfConsolidation_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">連結範囲の変更に伴う剰余金減少額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_TrachangesInOwnershipInterestInSubsidiariesSS_label" xlink:role="http://www.xbrl.org/2003/role/label">非支配株主との取引に係る親会社の持分変動</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_TrachangesInOwnershipInterestInSubsidiariesSS_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">非支配株主との取引に係る親会社の持分変動、株主資本等変動計算書</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_WarrantyProvisionsOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">製品保証引当金の増減額（△は増加）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E05713-000_WarrantyProvisionsOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">製品保証引当金の増減額（△は増加）、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_BuildingsAndStructuresNet_label" xlink:role="http://disclosure.edinet-fsa.go.jp/jppfs/cte/role/label">建物及び構築物</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_BuildingsAndStructuresNet" xlink:label="jppfs_cor_BuildingsAndStructuresNet" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_AccountsPayableOtherToSubsidiariesAndAffiliatesCL" xlink:label="jpcrp030000-asr_E05713-000_AccountsPayableOtherToSubsidiariesAndAffiliatesCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_CurrentPortionOfLongTermAccountsPayableInstallmentPurchaesCL" xlink:label="jpcrp030000-asr_E05713-000_CurrentPortionOfLongTermAccountsPayableInstallmentPurchaesCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableEI" xlink:label="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableOpeCF" xlink:label="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_GovernanceTextBlock" xlink:label="jpcrp030000-asr_E05713-000_GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_GreenEnergyReportableSegmentMember" xlink:label="jpcrp030000-asr_E05713-000_GreenEnergyReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_HonmaMasaruMember" xlink:label="jpcrp030000-asr_E05713-000_HonmaMasaruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares" xlink:label="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_ITBusinessReportableSegmentsMember" xlink:label="jpcrp030000-asr_E05713-000_ITBusinessReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_KusakabeEmikoMember" xlink:label="jpcrp030000-asr_E05713-000_KusakabeEmikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_LitigationSettlementEI" xlink:label="jpcrp030000-asr_E05713-000_LitigationSettlementEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_LongTermUnearnedRevenueAndLongTermAdvancesReceived" xlink:label="jpcrp030000-asr_E05713-000_LongTermUnearnedRevenueAndLongTermAdvancesReceived" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectEL" xlink:label="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF" xlink:label="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_MetricsAndTargetsTextBlock" xlink:label="jpcrp030000-asr_E05713-000_MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_MitsuyukiYasuakiMember" xlink:label="jpcrp030000-asr_E05713-000_MitsuyukiYasuakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_NetIncreaseDecreaseOfRestrictedCashFinCF" xlink:label="jpcrp030000-asr_E05713-000_NetIncreaseDecreaseOfRestrictedCashFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_ParentCompanySStocksHeldByAffiliatedCompaniesAdoptedEquityMethod" xlink:label="jpcrp030000-asr_E05713-000_ParentCompanySStocksHeldByAffiliatedCompaniesAdoptedEquityMethod" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_PaymentsOfDepositInvCF" xlink:label="jpcrp030000-asr_E05713-000_PaymentsOfDepositInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_PhotocatalyticBusinessReportableSegmentMember" xlink:label="jpcrp030000-asr_E05713-000_PhotocatalyticBusinessReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_ProceedsFromCollectionOfDepositsPaidInvCF" xlink:label="jpcrp030000-asr_E05713-000_ProceedsFromCollectionOfDepositsPaidInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_ProceedsFromSalesAndInstallmentBackTransactionFinCF" xlink:label="jpcrp030000-asr_E05713-000_ProceedsFromSalesAndInstallmentBackTransactionFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_ReceivedSettlementFeeEI" xlink:label="jpcrp030000-asr_E05713-000_ReceivedSettlementFeeEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_RiskManagementTextBlock" xlink:label="jpcrp030000-asr_E05713-000_RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_RokugawaHiroakiMember" xlink:label="jpcrp030000-asr_E05713-000_RokugawaHiroakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_RyuJunseiMember" xlink:label="jpcrp030000-asr_E05713-000_RyuJunseiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_SegmentAssetsSegmentInformation" xlink:label="jpcrp030000-asr_E05713-000_SegmentAssetsSegmentInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_SegmentLiabilitiesSegmentInformation" xlink:label="jpcrp030000-asr_E05713-000_SegmentLiabilitiesSegmentInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_SolarPanelManufacturingBusinessReportableSegmentMember" xlink:label="jpcrp030000-asr_E05713-000_SolarPanelManufacturingBusinessReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_StrategyTextBlock" xlink:label="jpcrp030000-asr_E05713-000_StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_SurplusDecreaseByChangeOfScopeOfConsolidation" xlink:label="jpcrp030000-asr_E05713-000_SurplusDecreaseByChangeOfScopeOfConsolidation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_TrachangesInOwnershipInterestInSubsidiariesSS" xlink:label="jpcrp030000-asr_E05713-000_TrachangesInOwnershipInterestInSubsidiariesSS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05713-000_2023-06-30_02_2024-03-14.xsd#jpcrp030000-asr_E05713-000_WarrantyProvisionsOpeCF" xlink:label="jpcrp030000-asr_E05713-000_WarrantyProvisionsOpeCF" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_AccountsPayableOtherToSubsidiariesAndAffiliatesCL" xlink:to="jpcrp030000-asr_E05713-000_AccountsPayableOtherToSubsidiariesAndAffiliatesCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_AccountsPayableOtherToSubsidiariesAndAffiliatesCL" xlink:to="jpcrp030000-asr_E05713-000_AccountsPayableOtherToSubsidiariesAndAffiliatesCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_CurrentPortionOfLongTermAccountsPayableInstallmentPurchaesCL" xlink:to="jpcrp030000-asr_E05713-000_CurrentPortionOfLongTermAccountsPayableInstallmentPurchaesCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_CurrentPortionOfLongTermAccountsPayableInstallmentPurchaesCL" xlink:to="jpcrp030000-asr_E05713-000_CurrentPortionOfLongTermAccountsPayableInstallmentPurchaesCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="jpcrp030000-asr_E05713-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableEI" xlink:to="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableEI" xlink:to="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableOpeCF" xlink:to="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableOpeCF" xlink:to="jpcrp030000-asr_E05713-000_GainOnAdjustmentOfAccountPayableOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_GovernanceTextBlock" xlink:to="jpcrp030000-asr_E05713-000_GovernanceTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_GovernanceTextBlock" xlink:to="jpcrp030000-asr_E05713-000_GovernanceTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_GreenEnergyReportableSegmentMember" xlink:to="jpcrp030000-asr_E05713-000_GreenEnergyReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_GreenEnergyReportableSegmentMember" xlink:to="jpcrp030000-asr_E05713-000_GreenEnergyReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_HonmaMasaruMember" xlink:to="jpcrp030000-asr_E05713-000_HonmaMasaruMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_HonmaMasaruMember" xlink:to="jpcrp030000-asr_E05713-000_HonmaMasaruMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares" xlink:to="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares" xlink:to="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares" xlink:to="jpcrp030000-asr_E05713-000_IssuanceOfNewSharesThirdPartyAllocationOfNewShares_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ITBusinessReportableSegmentsMember" xlink:to="jpcrp030000-asr_E05713-000_ITBusinessReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ITBusinessReportableSegmentsMember" xlink:to="jpcrp030000-asr_E05713-000_ITBusinessReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_KusakabeEmikoMember" xlink:to="jpcrp030000-asr_E05713-000_KusakabeEmikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_KusakabeEmikoMember" xlink:to="jpcrp030000-asr_E05713-000_KusakabeEmikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LitigationSettlementEI" xlink:to="jpcrp030000-asr_E05713-000_LitigationSettlementEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LitigationSettlementEI" xlink:to="jpcrp030000-asr_E05713-000_LitigationSettlementEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LongTermUnearnedRevenueAndLongTermAdvancesReceived" xlink:to="jpcrp030000-asr_E05713-000_LongTermUnearnedRevenueAndLongTermAdvancesReceived_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LongTermUnearnedRevenueAndLongTermAdvancesReceived" xlink:to="jpcrp030000-asr_E05713-000_LongTermUnearnedRevenueAndLongTermAdvancesReceived_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectEL" xlink:to="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectEL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectEL" xlink:to="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectEL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF" xlink:to="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF" xlink:to="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF" xlink:to="jpcrp030000-asr_E05713-000_LossOnLiquidationOfProjectOpeCF_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_MetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E05713-000_MetricsAndTargetsTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_MetricsAndTargetsTextBlock" xlink:to="jpcrp030000-asr_E05713-000_MetricsAndTargetsTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_MitsuyukiYasuakiMember" xlink:to="jpcrp030000-asr_E05713-000_MitsuyukiYasuakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_MitsuyukiYasuakiMember" xlink:to="jpcrp030000-asr_E05713-000_MitsuyukiYasuakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_NetIncreaseDecreaseOfRestrictedCashFinCF" xlink:to="jpcrp030000-asr_E05713-000_NetIncreaseDecreaseOfRestrictedCashFinCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_NetIncreaseDecreaseOfRestrictedCashFinCF" xlink:to="jpcrp030000-asr_E05713-000_NetIncreaseDecreaseOfRestrictedCashFinCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ParentCompanySStocksHeldByAffiliatedCompaniesAdoptedEquityMethod" xlink:to="jpcrp030000-asr_E05713-000_ParentCompanySStocksHeldByAffiliatedCompaniesAdoptedEquityMethod_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ParentCompanySStocksHeldByAffiliatedCompaniesAdoptedEquityMethod" xlink:to="jpcrp030000-asr_E05713-000_ParentCompanySStocksHeldByAffiliatedCompaniesAdoptedEquityMethod_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_PaymentsOfDepositInvCF" xlink:to="jpcrp030000-asr_E05713-000_PaymentsOfDepositInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_PaymentsOfDepositInvCF" xlink:to="jpcrp030000-asr_E05713-000_PaymentsOfDepositInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_PhotocatalyticBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E05713-000_PhotocatalyticBusinessReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_PhotocatalyticBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E05713-000_PhotocatalyticBusinessReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ProceedsFromCollectionOfDepositsPaidInvCF" xlink:to="jpcrp030000-asr_E05713-000_ProceedsFromCollectionOfDepositsPaidInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ProceedsFromCollectionOfDepositsPaidInvCF" xlink:to="jpcrp030000-asr_E05713-000_ProceedsFromCollectionOfDepositsPaidInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ProceedsFromSalesAndInstallmentBackTransactionFinCF" xlink:to="jpcrp030000-asr_E05713-000_ProceedsFromSalesAndInstallmentBackTransactionFinCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ProceedsFromSalesAndInstallmentBackTransactionFinCF" xlink:to="jpcrp030000-asr_E05713-000_ProceedsFromSalesAndInstallmentBackTransactionFinCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ReceivedSettlementFeeEI" xlink:to="jpcrp030000-asr_E05713-000_ReceivedSettlementFeeEI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_ReceivedSettlementFeeEI" xlink:to="jpcrp030000-asr_E05713-000_ReceivedSettlementFeeEI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_RiskManagementTextBlock" xlink:to="jpcrp030000-asr_E05713-000_RiskManagementTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_RiskManagementTextBlock" xlink:to="jpcrp030000-asr_E05713-000_RiskManagementTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_RokugawaHiroakiMember" xlink:to="jpcrp030000-asr_E05713-000_RokugawaHiroakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_RokugawaHiroakiMember" xlink:to="jpcrp030000-asr_E05713-000_RokugawaHiroakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_RyuJunseiMember" xlink:to="jpcrp030000-asr_E05713-000_RyuJunseiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_RyuJunseiMember" xlink:to="jpcrp030000-asr_E05713-000_RyuJunseiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_SegmentAssetsSegmentInformation" xlink:to="jpcrp030000-asr_E05713-000_SegmentAssetsSegmentInformation_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_SegmentAssetsSegmentInformation" xlink:to="jpcrp030000-asr_E05713-000_SegmentAssetsSegmentInformation_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_SegmentLiabilitiesSegmentInformation" xlink:to="jpcrp030000-asr_E05713-000_SegmentLiabilitiesSegmentInformation_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_SegmentLiabilitiesSegmentInformation" xlink:to="jpcrp030000-asr_E05713-000_SegmentLiabilitiesSegmentInformation_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_SolarPanelManufacturingBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E05713-000_SolarPanelManufacturingBusinessReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_SolarPanelManufacturingBusinessReportableSegmentMember" xlink:to="jpcrp030000-asr_E05713-000_SolarPanelManufacturingBusinessReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_StrategyTextBlock" xlink:to="jpcrp030000-asr_E05713-000_StrategyTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_StrategyTextBlock" xlink:to="jpcrp030000-asr_E05713-000_StrategyTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_SurplusDecreaseByChangeOfScopeOfConsolidation" xlink:to="jpcrp030000-asr_E05713-000_SurplusDecreaseByChangeOfScopeOfConsolidation_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_SurplusDecreaseByChangeOfScopeOfConsolidation" xlink:to="jpcrp030000-asr_E05713-000_SurplusDecreaseByChangeOfScopeOfConsolidation_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_TrachangesInOwnershipInterestInSubsidiariesSS" xlink:to="jpcrp030000-asr_E05713-000_TrachangesInOwnershipInterestInSubsidiariesSS_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_TrachangesInOwnershipInterestInSubsidiariesSS" xlink:to="jpcrp030000-asr_E05713-000_TrachangesInOwnershipInterestInSubsidiariesSS_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_WarrantyProvisionsOpeCF" xlink:to="jpcrp030000-asr_E05713-000_WarrantyProvisionsOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E05713-000_WarrantyProvisionsOpeCF" xlink:to="jpcrp030000-asr_E05713-000_WarrantyProvisionsOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_BuildingsAndStructuresNet" xlink:to="jppfs_cor_BuildingsAndStructuresNet_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>